Album Charts

Chart history for an album on a platform (applemusic, itunes, or amazon). Date range accepts up to 365 days between since and until.

Path Parameters
  • type
    Type: string enum
    required

    Chart source platform. One of applemusic, itunes, or amazon.

    values
    • applemusic
    • itunes
    • amazon
  • id
    Type: integer
    min:  
    0
    max:  
    2147483647
    required

    Chartmetric album ID.

Query Parameters
  • since
    Type: string Format: date

    Start date in ISO format (e.g. '2025-11-01'). Defaults to 180 days ago.

  • until
    Type: string Format: date

    End date in ISO format (e.g. '2025-11-15'). Defaults to today; must be at most 365 days after since.

Responses
  • application/json
Request Example for get/api/album/{id}/{type}/charts
curl https://api.chartmetric.com/api/album/0/applemusic/charts \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "data": [
      {
        "itunes_album_id": "1450330588",
        "rank": 84,
        "added_at": "2020-03-04T08:00:00.000Z",
        "code2": "US",
        "genre": "All Genres",
        "gnp": "8510700.00",
        "pre_rank": 80,
        "peak_rank": 1,
        "peak_date": "2019-02-08T08:00:00.000Z",
        "id": 3058232,
        "name": "thank u, next",
        "release_date": "2019-02-08T08:00:00.000Z",
        "copyright": "(P) 2019 Republic Records, a division of UMG Recordings, Inc.",
        "num_track": "12",
        "upc": "602577464980",
        "description": null,
        "is_single": false,
        "artwork_url": "https://is5-ssl.mzstatic.com/image/thumb/Music124/v4/4e/26/d5/4e26d5f3-2d62-1b5c-689a-e8de4e6f3797/00602577465284.rgb.jpg/160x160bb.jpeg",
        "label": "Republic Records",
        "genres": "Pop,Music",
        "created_at": null,
        "modified_at": "2020-09-17T03:10:01.823Z",
        "cm_album": 3533190,
        "storefronts": [
          "AU",
          "JP",
          "LA",
          "NO",
          "US"
        ],
        "itunes_album_ids": [
          "1450330588"
        ],
        "artists": [
          {
            "itunes_artist_id": 412778295,
            "name": "Ariana Grande",
            "cm_artist": 3963
          }
        ]
      }
    ],
    "length": 175
  }
}